API reference
AuthorizationBearer <token>
Secret API key bound to an environment.
In: header
Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/client_configuration"{ "environment_id": "string", "version": 0, "enabled": true, "allowed_origins": [ "string" ], "admission_limits": { "customer": { "environment": { "requests": 1, "items": 1, "body_bytes": 1 }, "customer": { "requests": 1, "items": 1, "body_bytes": 1 }, "session": { "requests": 1, "items": 1, "body_bytes": 1 }, "ip": { "requests": 1, "items": 1, "body_bytes": 1 }, "event_name": { "items": 1 } }, "exchange": { "environment": { "requests": 1 }, "ip": { "requests": 1 } }, "anonymous_exchange": { "ip": { "requests": 1 } }, "stream": { "environment": { "requests": 1, "body_bytes": 1 }, "customer": { "requests": 1, "body_bytes": 1 }, "session": { "requests": 1, "body_bytes": 1 }, "ip": { "requests": 1, "body_bytes": 1 } }, "backend_exchange": { "environment": { "requests": 1 } } }, "customer_grant_policy": [ "customer:read" ], "created_at": "string", "updated_at": "string"}AuthorizationBearer <token>
Secret API key bound to an environment.
In: header
Header Parameters
Idempotency-Key*string
Required. Official clients generate a UUID when omitted by the caller.
Length
1 <= length <= 255If-Match*string
Required revision, checked in the owning transaction.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/client_configuration" \ -H "Idempotency-Key: string" \ -H "If-Match: string" \ -H "Content-Type: application/json" \ -d '{ "allowed_origins": [ "https://app.example" ] }'{ "environment_id": "string", "version": 0, "enabled": true, "allowed_origins": [ "string" ], "admission_limits": { "customer": { "environment": { "requests": 1, "items": 1, "body_bytes": 1 }, "customer": { "requests": 1, "items": 1, "body_bytes": 1 }, "session": { "requests": 1, "items": 1, "body_bytes": 1 }, "ip": { "requests": 1, "items": 1, "body_bytes": 1 }, "event_name": { "items": 1 } }, "exchange": { "environment": { "requests": 1 }, "ip": { "requests": 1 } }, "anonymous_exchange": { "ip": { "requests": 1 } }, "stream": { "environment": { "requests": 1, "body_bytes": 1 }, "customer": { "requests": 1, "body_bytes": 1 }, "session": { "requests": 1, "body_bytes": 1 }, "ip": { "requests": 1, "body_bytes": 1 } }, "backend_exchange": { "environment": { "requests": 1 } } }, "customer_grant_policy": [ "customer:read" ], "created_at": "string", "updated_at": "string"}